using CloudBuilder.Core.Authorization;
namespace CloudBuilder.Security
{
    [TypeScript]
    public class SecurityUserActorEntityKey
    {
        public string UserName  { get; set; }
        public string ActorName  { get; set; }

        public override bool Equals(object obj)
        {
            if (this == obj) return true;

            SecurityUserActorEntityKey pkey = obj as SecurityUserActorEntityKey;
            if (pkey == null) return false;

            if (UserName != pkey.UserName) return false;
            if (ActorName != pkey.ActorName) return false;

            return true;
        }


            public override string ToString()
            {
                string declareSql="";
                declareSql=declareSql+$"declare @__tkey_UserName_0 varchar(50) select @__tkey_UserName_0 ='{UserName}'; " ;                declareSql=declareSql+$"declare @__tkey_ActorName_1 varchar(50) select @__tkey_ActorName_1 ='{ActorName}'; " ;
                return declareSql;
            }
        }
    }
    /* builder.Entity<SecurityUserActorEntity>().HasKey(c => new {        c.UserName,        c.ActorName});    */
